From cbc0db82a436854bff137400a63f215c76e9f0d8 Mon Sep 17 00:00:00 2001
From: Eric Chanudet <echanude@redhat.com>
Date: Fri, 21 Apr 2023 17:48:58 -0400
Subject: [PATCH 2/5] disk: part_efi: zero crc32 before hashing
Content-type: text/plain

The GPT header CRC32 should be calculated on the header_size bytes with
the header_crc32 field set to 0.

Signed-off-by: Eric Chanudet <echanude@redhat.com>
---
 disk/part_efi.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/disk/part_efi.c b/disk/part_efi.c
index fba9f496f88d..7ae1d8a9b0fc 100644
--- a/disk/part_efi.c
+++ b/disk/part_efi.c
@@ -386,6 +386,7 @@ int write_gpt_table(struct blk_desc *dev_desc,
 			      le32_to_cpu(gpt_h->sizeof_partition_entry));
 	gpt_h->partition_entry_array_crc32 = cpu_to_le32(calc_crc32);
 
+	gpt_h->header_crc32 = 0;
 	calc_crc32 = efi_crc32((const unsigned char *)gpt_h,
 			      le32_to_cpu(gpt_h->header_size));
 	gpt_h->header_crc32 = cpu_to_le32(calc_crc32);
-- 
2.40.1

